C --- search_DB.f---
C --------------------------------------------------------------------
      PARAMETER ( IPRROW = 200 )
      REAL      RESULT (IPRROW)
C ----
      CHARACTER NAME_SEQ*256,NAME_DIR*256,NAME_LIST*256 
      CHARACTER PATH_SCR*256,PATH_OUT*256,NAME_PDB*256
C
      CHARACTER LINE*256,PROG*80
      CHARACTER HARD*1,PRF*1
C ---
      INCLUDE 'search_DB_version.fh'
C --------------------------------------------------------------------
C =============================================================
      M = 0
      PATH_OUT = ' '
      MDOC    = 1
      PROG = 'search_DB'
      CALL START(0,MDOC,PROG,PATH_OUT)
c
c _PATH_OUT /data/alexei/work/molrep_DB/temp/
C ---------------------------
      LINE = VERSION
      CALL LENSTR_BL(LINE,LEN)
      IF(LEN.GT.75) LEN = 75
      LINE = '  '//LINE(1:LEN)
      CALL MSGDOC(M,' ')
      CALL MSGDOC(M,LINE)
C -------------------------------------------------------------
 100  IERR = 0
      MD   = 0
      M    = 99
C -----------------------
      CALL SET_DEFAULT(' ')
      CALL MSGDOC(MD,' ')
C ---
      NSEQ_MAX  = 0
      SIM_LIM   = 0.0
      NAME_PDB  = ' '
C ----
      CALL SET_DEFAULT(
     *'FILE_S:  name - file of sequence')
c      CALL SET_DEFAULT(
c     *'FILE_P:  name - file of PDB')
      CALL SET_DEFAULT(
     *'USER_D:  name - directory with user"s pdb files (last ch "/")')
      CALL SET_DEFAULT(
     *'USER_L:  name - list file (list of pdb files in USER_D)')
      CALL SET_DEFAULT(
     *'NSEQ_MAX:  < >  - max number of homologous from DB for one seq')
      CALL SET_DEFAULT(
     *'SIM_LIM:   < >  - similarity (fractional identity) limit ')
      CALL SET_DEFAULT(
     *'SCORE_LIM: < >  - score limit ')
      CALL SET_DEFAULT(
     *'HARD:    <N>,Y  -  ')
      CALL SET_DEFAULT(
     *'PRF:    <N>,Y  -  ')
      CALL SET_DEFAULT(
     *'PATH_SCR: < >   - path to scratch file directory')
      CALL SET_DEFAULT('?')
      CALL MSGDOC(MD,' ')
C -----------------------
      LINE='FILE_S'
      CALL ASK(LINE)
      NAME_SEQ=LINE
      CALL CORR_NAME_BLC(NAME_SEQ)
c ----
c      LINE='FILE_P'
c      CALL ASK(LINE)
c      NAME_PDB=LINE
c      CALL CORR_NAME_BLC(NAME_PDB)
c ----
      LINE='USER_D'
      CALL ASK(LINE)
      NAME_DIR=LINE
      CALL CORR_NAME_BLC(NAME_DIR)
c ----
      LINE='USER_L'
      CALL ASK(LINE)
      NAME_LIST=LINE
      CALL CORR_NAME_BLC(NAME_LIST)
c ----
      LINE='PATH_SCR'
      CALL ASK(LINE)
      PATH_SCR=LINE
      CALL CORR_NAME_BLC(PATH_SCR)
C ----
      LINE='NSEQ_MAX'
      CALL ASK(LINE)
      READ(LINE,*) NSEQ_MAX
C ----
      LINE='SIM_LIM'
      CALL ASK(LINE)
      READ(LINE,*) SIM_LIM 
C ----
      LINE='SCORE_LIM'
      CALL ASK(LINE)
      READ(LINE,*) SCORE_LIM 
C ----
      LINE='HARD'
      CALL ASK(LINE)
      HARD = LINE(1:1)
C ----
      LINE='PRF'
      CALL ASK(LINE)
      PRF = LINE(1:1)
      IF(PRF.EQ.'y') PRF = 'Y'
      IF(PRF.NE.'Y') PRF = 'N'
C -----------------------
c_PATH_SCR /data/alexei/work/molrep_DB/temp/
c_FILE_S /data/alexei/work/molrep_DB/data/s100.seq
c_NSEQ_MAX         10 
c_SIM_LIM          0.20
c ------------------------
C
c result: PATH_OUT/molrep_DB.xml
c       (/data/alexei/work/molrep_DB/examples/s100/molrep_DB_s100.xml)
c ---
      CALL CLOSE_BATCH(MDOC)
      CALL SEARCH_DB(MDOC,NAME_SEQ,NAME_PDB,NAME_DIR,NAME_LIST
     * ,NSEQ_MAX,SIM_LIM,SCORE_LIM
     * ,HARD,PRF,PATH_OUT,PATH_SCR,RESULT,IPRROW,VERSION,IERR)
C
C -----------------------
  900 CONTINUE
      CALL FINISH
      END
