C---------------------------------------------------------------
C --- temp.f ---
C -----------------------------------
      CHARACTER PATH_OUT*256
      INTEGER*4 MDOC,IERR
      PARAMETER ( MEMORY  = 4 000 000 )
      REAL      POOL(MEMORY)
      PARAMETER ( IPRROW = 21      )
      REAL      RESULT (IPRROW)
C==================================================================
      MDOC=1
      CALL START(0,MDOC,'temp',PATH_OUT)
C ---------------------------
      CALL MSGDOC(MDOC,' ')
      CALL MSGDOC(MDOC,
     * '  ---  TEMP ---  V.29.09.2005/')
      CALL MSGDOC(MDOC,' ')
C -------------------------------------------------------------
      IERR = 0
      MD   = 0
      M    = 99
c ----
C -------------------------------------------
      CALL CLOSE_BATCH(MDOC)
      CALL TEMP(MDOC,POOL,MEMORY,RESULT,IPRROW,IERR)
C --------------------------------------------------
  900 CALL FINISH
      END


      SUBROUTINE TEMP(MDOC,POOL,MEMORY,RESULT,IPRROW,IERR)
C --------------------------------------------------------
      CHARACTER DOM_OUT*256
      CHARACTER LIST_IN*256,LIST_OUT*256,LIST_DOM*256
C ----
      REAL      RESULT (IPRROW)
      REAL      POOL(MEMORY)
      PARAMETER ( IPRSYM = 1 )
      INTEGER*2 ISYM(5,3,IPRSYM)
      CHARACTER PAR_ALIGN*16
C ---
      INCLUDE 'chain_list_DB.fh'
C ---
      CHARACTER CODE100(40000)*5
      INTEGER   NS_DOM (40000)

      CHARACTER   CODE*5,CODE_DOM*5,CH1*1,CH2*1,CHAR2*2
      CHARACTER   RES1*4,INS1*1,RES2*4,INS2*1,CHAR11*11

      CHARACTER   FILE_1*256,FILE_2*256,FILE_OUT*256
      CHARACTER   FILE_TEMP*256,FILE_SURF*256
      CHARACTER   LINE*512,STR*2024,CODE_BEST*5
      CHARACTER   EXT*3,PATH*1,PATH_SCR*256,PATH_DB*256
      REAL        CELL(6)
      CHARACTER   PATH_OUT*256,SURF*1,CHAIN*1,CODE_OLD*5
C -----------------------------------------------------------
      PARAMETER ( NWORDSMAX = 200 )
      COMMON /FREAD_DOM/ FWORDS,IFRD_ERR,NWORDS,LEN_WORDS,IWORDS
     *                 ,WORDS,IN_STRING
      REAL      FWORDS   (NWORDSMAX)
      INTEGER*4 LEN_WORDS(NWORDSMAX)
      INTEGER*4 IWORDS   (NWORDSMAX)
      INTEGER*4 NWORDS,IFRD_ERR
      CHARACTER WORDS(NWORDSMAX)*80
      CHARACTER IN_STRING*512
C --------------------------------------------------------
      IERR = 0
      MD   =-ABS(MDOC)-1
      M    = 99
      PATH_SCR = ' '
      PATH_OUT = ' '
C --------------------------------------------------
      CALL GET_PATH(MDOC,'MOLREP_DB',PATH_DB,IERR)
      IF(IERR.NE.0) THEN
        CALL MSGERR(MDOC,'ERROR: problem with "setenv MOLREP_DB"')
        CALL MSGERR(MDOC
     *  ,'       Example: "setenv MOLREP_DB ~alexei/molrep_DB"')
        GO TO 900
      ENDIF
C ------
C     open file: LIST_IN 
      IN = 30
      PATH = ' '
      EXT  = ' '
      CALL LENSTR_BL(PATH_DB,LEN)
      LIST_IN = PATH_DB(1:LEN)//'/list/chain_list.txt'
c      LIST_IN = 'temp.txt'
      CALL OPENFR(IN,M,PATH,LIST_IN,EXT,IERR)
      IF(IERR.NE.0) THEN
        CLOSE(IN)
        CALL MSGERR(MDOC,' ERROR: cannot OPEN INPUT_LIST_DB_FILE')
        IERR = 1
        RETURN
      ENDIF
C ------
C ------
C     read file LIST_IN
C
      II_MIN = 0
      II_MAX = 0
      CALL READ_CHAIN_LIST(MDOC,LIST_IN,II_MIN,II_MAX
     *   ,NSEQ,ID_DB,NAA_DB,NAT_DB,NRES_DB,RESOL_DB
     *   ,IBACK_DB,ILEVEL_DB,IHIER_DB,FBACK_DB
     *   ,FIDENT_DB,SCR_DB,CODE_DB,HIER_DB,COMPLEX_DB,NSEQMAX
     *   ,IERR)
      IF(IERR.NE.0) GO TO 900

      WRITE(LINE,*) 'N_seq in DB:',NSEQ
      CALL MSGDOC(MDOC,LINE)
      IF(NSEQ.LE.0) THEN
        IERR = 1
        GO TO 900
      ENDIF
C ------
      IOUT = 51
      PATH = ' '
      EXT  = ' '
      LIST_OUT = 'new_domain_list.txt'
      CALL OPENFW(IOUT,M,PATH,LIST_OUT,EXT,IERR)
      IF(IERR.NE.0) THEN
        CALL MSGERR(MDOC,' ERROR: cannot OPEN OUTPUT_LIST_FILE')
        IERR = 1
        RETURN
      ENDIF
      INDOM = 50
      PATH = ' '
      EXT  = ' '
      CALL LENSTR_BL(PATH_DB,LEN)
      LIST_DOM = PATH_DB(1:LEN)//'/list/domain_list.txt'
      CALL OPENFR(INDOM,M,PATH,LIST_DOM,EXT,IERR)
      IF(IERR.NE.0) THEN
        CALL MSGERR(MDOC,' ERROR: cannot OPEN OUTPUT_LIST_FILE')
        IERR = 1
        RETURN
      ENDIF
C ------
      CODE_OLD  = '?'
      N_DOM_OLD = 0
      N_DOM   = 0
      N_DOM1  = 0
      IREMOVE = 1
      NDOUBLE = 0
      NABS    = 0
      N0      = 0
 200  CONTINUE

        READ(INDOM,'(A)',END=100) LINE

        CALL LENSTR_BL(LINE,LEN)
        IF(LEN.LE.0) GO TO 200
        IF(LINE(1:1).EQ.'#') THEN
          WRITE(IOUT,'(A)') LINE(1:LEN)
          GO TO 200
        ENDIF

        CODE_DOM = LINE(7:11)
        READ(LINE(1:5),'(I5)') NDOM
        READ(LINE(12:17),'(2I3)') IDOM,ISEG

        IF(CODE_DOM.NE.CODE_OLD) THEN
          N_DOM_OLD = N_DOM_OLD + 1
          DO I=1,NSEQ
            CODE = CODE_DB(I)(1:5)
            IF(CODE.EQ.CODE_DOM) GO TO 300
          ENDDO
          NABS  = NABS + 1
          IREMOVE = 1
          GO TO 400
 300      CONTINUE
          IREMOVE = 0
          IF(COMPLEX_DB(I)(2:2).EQ.'0') THEN
            N0  = N0 + 1
            IREMOVE = 1
          ENDIF
          IF(COMPLEX_DB(I)(2:2).EQ.'+') THEN
            NDOUBLE  = NDOUBLE + 1
            WRITE(*,*) '--double:',I,' ',CODE
            IREMOVE  = 1
          ENDIF
          COMPLEX_DB(I)(2:2) = '+'
          CODE_OLD = CODE_DOM
          IF(IREMOVE.LE.0) THEN
            N_DOM = N_DOM + 1
            IF(NDOM.EQ.1) N_DOM1 = N_DOM1 + 1
          ENDIF
        ENDIF

 400    CONTINUE
        CODE_OLD = CODE_DOM
        IF(IREMOVE.LE.0) THEN
          CALL LENSTR_BL(LINE,LEN)
          WRITE(IOUT,'(A)') LINE(1:LEN)
        ENDIF
        GO TO 200
C ---
 100  CONTINUE

      WRITE(*,*) ' N_OLD    :',N_DOM_OLD
      WRITE(*,*) ' N_DOUBLE :',NDOUBLE
      WRITE(*,*) ' N_ABS    :',NABS
      WRITE(*,*) ' N_0      :',N0
      WRITE(*,*) ' '
      WRITE(*,*) ' N_DOM  :',N_DOM
      WRITE(*,*) ' N_DOM1 :',N_DOM1

      END FILE IOUT
      CLOSE(IOUT)

      WRITE(*,*) 'output file: new_domain_list.txt'

      RETURN
C ------------
C ------------
 900  CONTINUE
        CALL MSGERR(MDOC,' ERROR: ')

      IERR = 1
      RETURN
      END
