C---------------------------------------------------------------
C --- temp.f ---
C -----------------------------------
      CHARACTER PATH_OUT*256
      INTEGER*4 MDOC,IERR
      PARAMETER ( MEMORY  = 4 000 000 )
      REAL      POOL(MEMORY)
      PARAMETER ( IPRROW = 21      )
      REAL      RESULT (IPRROW)
C==================================================================
      MDOC=1
      CALL START(0,MDOC,'temp',PATH_OUT)
C ---------------------------
      CALL MSGDOC(MDOC,' ')
      CALL MSGDOC(MDOC,
     * '  ---  TEMP ---  V.29.09.2005/')
      CALL MSGDOC(MDOC,' ')
C -------------------------------------------------------------
      IERR = 0
      MD   = 0
      M    = 99
c ----
C -------------------------------------------
      CALL CLOSE_BATCH(MDOC)
      CALL TEMP(MDOC,POOL,MEMORY,RESULT,IPRROW,IERR)
C --------------------------------------------------
  900 CALL FINISH
      END


      SUBROUTINE TEMP(MDOC,POOL,MEMORY,RESULT,IPRROW,IERR)
C --------------------------------------------------------
      CHARACTER DOM_OUT*256
      CHARACTER LIST_IN*256,LIST_OUT*256,LIST_DOM*256
C ----
      REAL      RESULT (IPRROW)
      REAL      POOL(MEMORY)
      PARAMETER ( IPRSYM = 1 )
      INTEGER*2 ISYM(5,3,IPRSYM)
      CHARACTER PAR_ALIGN*16
C ---
      INCLUDE 'chain_list_DB.fh'
C ---
      CHARACTER CODE100(20000)*5
      INTEGER   NS_DOM (20000)

      CHARACTER   CODE*5,CODE_DOM*5,CH1*1,CH2*1,CHAR2*2
      CHARACTER   RES1*4,INS1*1,RES2*4,INS2*1,CHAR11*11

      CHARACTER   FILE_1*256,FILE_2*256,FILE_OUT*256
      CHARACTER   FILE_TEMP*256,FILE_SURF*256
      CHARACTER   LINE*512,STR*2024,CODE_BEST*5
      CHARACTER   EXT*3,PATH*1,PATH_SCR*256,PATH_DB*256
      REAL        CELL(6)
      CHARACTER   PATH_OUT*256,SURF*1,CHAIN*1,CODE_OLD*5
C -----------------------------------------------------------
      PARAMETER ( NWORDSMAX = 200 )
      COMMON /FREAD_DOM/ FWORDS,IFRD_ERR,NWORDS,LEN_WORDS,IWORDS
     *                 ,WORDS,IN_STRING
      REAL      FWORDS   (NWORDSMAX)
      INTEGER*4 LEN_WORDS(NWORDSMAX)
      INTEGER*4 IWORDS   (NWORDSMAX)
      INTEGER*4 NWORDS,IFRD_ERR
      CHARACTER WORDS(NWORDSMAX)*80
      CHARACTER IN_STRING*512
C --------------------------------------------------------
      IERR = 0
      MD   =-ABS(MDOC)-1
      M    = 99
      PATH_SCR = ' '
      PATH_OUT = ' '
C --------------------------------------------------
      CALL GET_PATH(MDOC,'MOLREP_DB',PATH_DB,IERR)
      IF(IERR.NE.0) THEN
        CALL MSGERR(MDOC,'ERROR: problem with "setenv MOLREP_DB"')
        CALL MSGERR(MDOC
     *  ,'       Example: "setenv MOLREP_DB ~alexei/molrep_DB"')
        RETURN
      ENDIF
C ------
C     open file: LIST_IN 
      IN = 30
      PATH = ' '
      EXT  = ' '
      CALL LENSTR_BL(PATH_DB,LEN)
      LIST_IN = PATH_DB(1:LEN)//'/list/chain_list.txt'
C      LIST_IN = 'temp.txt'
      CALL OPENFR(IN,M,PATH,LIST_IN,EXT,IERR)
      IF(IERR.NE.0) THEN
        CLOSE(IN)
        CALL MSGERR(MDOC,' ERROR: cannot OPEN INPUT_LIST_DB_FILE')
        IERR = 1
        RETURN
      ENDIF
      CLOSE(IN)
C ------
C ------
C     read file LIST_IN
C
      II_MIN = 0
      II_MAX = 0
      CALL READ_CHAIN_LIST(MDOC,LIST_IN,II_MIN,II_MAX
     *   ,NSEQ,ID_DB,NAA_DB,NAT_DB,NRES_DB,RESOL_DB
     *   ,IBACK_DB,ILEVEL_DB,IHIER_DB,FBACK_DB
     *   ,FIDENT_DB,SCR_DB,CODE_DB,HIER_DB,COMPLEX_DB,NSEQMAX
     *   ,ICLASS_DB,IERR)
      IF(IERR.NE.0) GO TO 900

      WRITE(LINE,*) 'N_seq in DB:',NSEQ
      CALL MSGDOC(MDOC,LINE)
      IF(NSEQ.LE.0) THEN
        IERR = 1
        GO TO 900
      ENDIF
C ------
      IOUT = 51
      PATH = ' '
      EXT  = ' '
      LIST_OUT = 'domain_info_new.txt'
      CALL OPENFW(IOUT,M,PATH,LIST_OUT,EXT,IERR)
      IF(IERR.NE.0) THEN
        CALL MSGERR(MDOC,' ERROR: cannot OPEN OUTPUT_LIST_FILE')
        IERR = 1
        RETURN
      ENDIF
      INDOM = 50
      PATH = ' '
      EXT  = ' '
      CALL LENSTR_BL(PATH_DB,LEN)
      LIST_DOM = PATH_DB(1:LEN)//'/list/domain_list.txt'
c      LIST_DOM = 'test.txt'
      CALL OPENFR(INDOM,M,PATH,LIST_DOM,EXT,IERR)
      IF(IERR.NE.0) THEN
        CALL MSGERR(MDOC,' ERROR: cannot OPEN OUTPUT_LIST_FILE')
        IERR = 1
        RETURN
      ENDIF
C ------
      IEND   = 0
      N_DOM  = 0
      N_DOM1 = 0
      CODE_OLD = '?????'
      IDOM_OLD =-1
      ISEG1_OLD = 0
      ISEG2_OLD = 0

 200  CONTINUE
        READ(INDOM,'(A)',END=100,ERR=999) LINE
        GO TO 110
 100    CONTINUE
        IEND = 1
        CODE_DOM = '?????'
        GO TO 140
 110    CONTINUE
        IF(LINE(1:1).EQ.'#') THEN
          CALL LENSTR_BL(LINE,LEN)
          WRITE(IOUT,'(A)') LINE(1:LEN)
          GO TO 200
        ENDIF

c        write(*,*)'<',line(1:31),'>'

        CODE_DOM = LINE(7:11)
        READ(LINE(1:5),'(I5)',ERR=999) NDOM
        READ(LINE(12:17),'(2I3)',ERR=999) IDOM,ISEG
        READ(LINE(20:23),'(I4)',ERR=999) ISEG1
        READ(LINE(27:30),'(I4)',ERR=999) ISEG2

        DO I=1,NSEQ
        CODE = CODE_DB(I)(1:5)
        IF(CODE.EQ.CODE_DOM) THEN
          IDB = I
          GO TO 120
        ENDIF
C    2 1l5wA  1  1 A   1- A 450-
C123456789 123456789 123456789 1
        ENDDO

        WRITE(*,*) '??? ERROR ???',LINE(1:31)
        STOP

120     CONTINUE

        IF(LINE(24:24).NE.'-'.OR.
     *     LINE(31:31).NE.'-'     ) THEN

          WRITE(*,*) '??? ext code??? ',LINE(1:31)
          STOP 
        ENDIF

        IF(LINE(11:11).NE.LINE(19:19).OR.
     *     LINE(11:11).NE.LINE(26:26)     ) THEN

          WRITE(*,*) '??? ERROR chain ID??? ',LINE(1:31)
          STOP 
        ENDIF

        IF(CODE_DOM.NE.CODE_OLD) THEN

          IDOM_C   = 1
          ISEG_C   = 0

        ENDIF

        IF(IDOM.NE.IDOM_OLD.AND.CODE_DOM.EQ.CODE_OLD) THEN
          IDOM_C = IDOM_C + 1
          ISEG_C = 0
        ENDIF

        ISEG_C = ISEG_C + 1
        IF(IDOM_C.NE.IDOM.OR.ISEG_C.NE.ISEG) THEN
          WRITE(*,*) '??? ERROR ??? ',CODE,' iseg ',IDOM,ISEG
          STOP
        ENDIF

        ID = ISEG2 - ISEG1
c#        write(*,*) iseg1,iseg2,id

        IF(ID.LE.3.OR.ISEG1.LE.-1000.OR.ISEG2.LE.-1000) THEN
          WRITE(*,*) '??? ERROR ??? ',CODE,' is 1 2 ',ISEG1,ISEG2
          STOP
        ENDIF

        IF(CODE_DOM.EQ.CODE_OLD) THEN

          IF(NDOM_OLD.NE.NDOM) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE,' NDOM # NDOM_prev'
            STOP
          ENDIF


          IF(ISEG1.GE.ISEG1_OLD.AND.ISEG1.LE.ISEG2_OLD) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE,' <> ',ISEG1
            STOP
          ENDIF
          IF(ISEG2.GE.ISEG1_OLD.AND.ISEG2.LE.ISEG2_OLD) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE,' <> ',ISEG2
            STOP
          ENDIF
          IF(ISEG1_OLD.GE.ISEG1.AND.ISEG1_OLD.LE.ISEG2) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE,' <> ',ISEG1_OLD
            STOP
          ENDIF
          IF(ISEG2_OLD.GE.ISEG1.AND.ISEG2_OLD.LE.ISEG2) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE,' <> ',ISEG2_OLD
            STOP
          ENDIF


          IF(ISEG1.EQ.ISEG1_OLD.OR.ISEG1.EQ.ISEG2_OLD.OR.
     *       ISEG2.EQ.ISEG1_OLD.OR.ISEG2.EQ.ISEG2_OLD    ) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE,' is old ',ISEG1,ISEG2
            STOP
          ENDIF

          IF(IDOM.EQ.IDOM_OLD) THEN
            ID = ISEG1 - ISEG2_OLD 
            IF(ID.LE.3.AND.ISEG1.GT.ISEG1_OLD) THEN
           WRITE(*,*) '??? ERROR ??? ',CODE,' del ',ISEG1,ISEG2_OLD
              STOP
            ENDIF
          ENDIF

        ENDIF



140     CONTINUE


        IF(CODE_DOM.NE.CODE_OLD.AND.CODE_OLD.NE.'?????') THEN

          IF(IDOM_OLD.NE.NDOM_OLD) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE_OLD,' ',NDOM_OLD,IDOM_OLD
            STOP
          ENDIF

          N_DOM = N_DOM + 1
          IF(NDOM_OLD.EQ.1) N_DOM1 = N_DOM1 + 1

          NR = NRES_DB(IDB_OLD)
          write(IOUT,'(I6,1X,A,1X,I5,20X,I6)') 
     *     IDB_OLD,CODE_OLD,NDOM_OLD,NR
          write(*,'(I6,1X,A,1X,I5,20X,I6)') 
     *     IDB_OLD,CODE_OLD,NDOM_OLD,NR
 
        ELSE

C          write(*,*) '==',CODE_DOM,ndom,idom,iseg

          IF(IDOM_OLD.EQ.IDOM.AND.ISEG_OLD.EQ.ISEG) THEN
            WRITE(*,*) '??? ERROR ??? ',CODE_OLD,' seg ',ISEG_OLD,ISEG
            STOP
          ENDIF

        ENDIF

        IDB_OLD  = IDB
        CODE_OLD = CODE_DOM
        NDOM_OLD = NDOM
        IDOM_OLD = IDOM
        ISEG_OLD = ISEG
        ISEG1_OLD = ISEG1
        ISEG2_OLD = ISEG2

        IF(IEND.EQ.0) GO TO 200

      WRITE(IOUT,*) ' N_DOM  :',N_DOM
      WRITE(*,*) ' N_DOM  :',N_DOM
      WRITE(IOUT,*) ' N_DOM1 :',N_DOM1
      WRITE(*,*) ' N_DOM1 :',N_DOM1
       
      END FILE IOUT
      CLOSE(IOUT)


      WRITE(*,*) ' '
      WRITE(*,*) 'domain_info_new.txt'



      RETURN
C ------------
C ------------
 900  CONTINUE
        CALL MSGERR(MDOC,' ERROR: end')

      IERR = 1
      RETURN
 999  CONTINUE

        write(*,*)'<',line(1:31),'>'

        CALL MSGERR(MDOC,' ERROR: reading')

      IERR = 1
      RETURN
      END

