C -------------------------_
      CHARACTER LINE*256,PDB_PATH*256,FILE_OUT*256,FILE_IN*256
      CHARACTER YEAR*2,LETTER*1,HEADER*256,CH46*46,CODE*4
      CHARACTER CODE_PDB*4,DATE_PDB*9,LETT*36,PROGRAM*8
      CHARACTER REM_CH46*46,SOFTWARE*20
      REAL      RES_LIM,RESOL,CELL(6)
      INTEGER   IN,IOUT,NLETT
      DATA      NLETT /36/
      DATA      LETT/
     * '1234567890abcdefghijklmnopqrstuvwxyz'/
c       123456789 123456789 123456789 123456
C --------------------------------------------------------------
      CALL DISPL_BL('Path to PDB_file_dir(last char is /):')
      READ(*,'(A)') PDB_PATH
C -----------------------
      YEAR = '  '
      CALL DISPL_BL('Year (Two char, 04):')
      READ(*,'(A)') YEAR
C -----------------------
      LETTER = ' '
      CALL DISPL_BL('Letter (1char,second in 1brs):')
      READ(*,'(A)') LETTER
C -----------------------
      CALL DISPL_BL('Resolution limit:')
      READ(*,*) RES_LIM
C -----------------------
      CALL DISPL_BL('Output pdb_code_list file( or without):')
      READ(*,'(A)') FILE_OUT
C -----------------------
      IOUT = 0
      CALL LENSTR_BL(FILE_OUT,LEN)
      IF(LEN.GT.0) THEN
        IOUT = 11
        OPEN(IOUT,FILE=FILE_OUT(1:LEN),ACCESS='SEQUENTIAL',ERR=9110,
     *    FORM='FORMATTED',STATUS='UNKNOWN')
      ENDIF
C -----------------
      NPDB = 0
      NPROG = 0 
      NREF  = 0
      NSHE  = 0
      NCNS  = 0
      NXPL  = 0
      NPRO  = 0
      NTNT  = 0
      NCCP4 = 0
      NMAIN = 0
      NREST = 0
      NBUST = 0
      NCNX  = 0
      NNUC  = 0
      NARP  = 0
      NPHX  = 0
      NOTHER = 0

      NMOLR = 0
      NAMOR = 0
      NPHAS = 0
      NEPMR = 0
      NBRUT = 0

      NMCNS  = 0
      NMXPL  = 0
      NMREF  = 0
      NMNULL = 0
      NMCCP4 = 0
      NMOTH  = 0

      IF(RES_LIM.LT.0.001) RES_LIM = 1000.0
C --------------
c      DO I=1,NLETT      

      DO I=1,9 
    
      DO J=1,NLETT      
      CALL LENSTR_BL(LETTER,LEN)
      IF(LEN.GT.0) THEN
        IF(LETTER.NE.LETT(J:J)) GO TO 100
      ENDIF
      DO K=1,NLETT      
      DO L=1,NLETT      
C ---
      CALL LENSTR_BL(PDB_PATH,LEN)
      IF(LEN.GT.0) THEN
        FILE_IN = PDB_PATH(1:LEN)//
     *           LETT(I:I)//LETT(J:J)//LETT(K:K)//LETT(L:L)//'.pdb'
      ELSE
        FILE_IN = LETT(I:I)//LETT(J:J)//LETT(K:K)//LETT(L:L)//'.pdb'
      ENDIF
      CALL LENSTR_BL(FILE_IN,LEN)
      IN = 10
      OPEN(IN,FILE=FILE_IN(1:LEN),ACCESS='SEQUENTIAL',ERR=200,
     *  FORM='FORMATTED',STATUS='OLD')
C ---
      CODE  = LETT(I:I)//LETT(J:J)//LETT(K:K)//LETT(L:L)
      RESOL = 0.0
      RFAC  = 0.0
      CODE_PDB = '?   '
      PROGRAM  = '?   ' 

      IREF  = 0
      ISHE  = 0
      ICNS  = 0
      IXPL  = 0
      IPRO  = 0
      ITNT  = 0
      ICCP4 = 0
      IMAIN = 0
      IREST = 0
      IBUST = 0
      ICNX  = 0
      IPHX  = 0
      INUC  = 0
      IARP  = 0
      IMOLR = 0
      IAMOR = 0
      IPHAS = 0
      IEPMR = 0
      IBRUT = 0
      IPR      = 0
      ISF      = 0
      IME      = 0
      IMCNS  = 0
      IMXPL  = 0
      IMREF  = 0
      IMCCP4 = 0
      IMNULL = 0
      IMOTH  = 0

      REM_CH46 = '.'
      SOFTWARE = '-'
      DO M=1,1000000
        READ(IN,'(A)',ERR=300,END=300) LINE
        CALL LENSTR_BL(LINE,LEN)
        IF(LEN.GE.66.AND.LINE(1:6).EQ.'HEADER') THEN
          HEADER = LINE
          DATE_PDB = LINE(51:59)
          CODE_PDB = LINE(63:66)
          CALL LENSTR_BL(YEAR,LY)
          IF(LY.GT.0) THEN
            IF(YEAR.NE.DATE_PDB(8:9)) GO TO 300
          ENDIF
        ENDIF              

        IF((LINE(1:6).EQ.'ATOM  ').OR. 
     *     (LINE(1:6).EQ.'HETATM')) GO TO 400

        IF(LINE(1:6).EQ.'MODEL ') THEN
          write(*,*) '==>',CODE_PDB,': MODEL '
          IF(IOUT.GT.0) THEN
            WRITE(IOUT,*,ERR=300) '#==>',CODE_PDB,': MODEL '
          ENDIF
          IPR = 0
          GO TO 300
        ELSE IF(LINE(1:4).EQ.'CRYS') THEN
          READ(LINE,'(6X,3F9.3,3F7.2)',ERR=500) 
     *               CELL(1),CELL(2),CELL(3)
     *              ,CELL(4),CELL(5),CELL(6)
          IF(CELL(1).LT.2.0) THEN
            write(*,*) '==>',CODE_PDB,': CELL < 2'
            IF(IOUT.GT.0) THEN
              WRITE(IOUT,*,ERR=300) '#==>',CODE_PDB,': CELL < 2'
            ENDIF
            IPR = 0
            GO TO 300
          ENDIF
        ELSE IF(LINE(1:6).EQ.'REMARK') THEN
          READ(LINE,'(7X,I3,1X,A46)',ERR=500) IR,CH46
          IF(IR.EQ.2.AND.CH46(1:10).EQ.'RESOLUTION') THEN
            READ(CH46(13:16),'(F4.2)',ERR=500) RESOL
            IF(RESOL.GT.RES_LIM) GO TO 300
          ELSE IF(IR.EQ.3.AND.CH46(1:10).EQ.'  R VALUE ') THEN
            READ(CH46(39:44),'(F6.3)',ERR=500) RFAC

c12345671231123456789 123456789 123456789 123456789 123456
cREMARK   3   R VALUE            (WORKING SET) :  0.21012
cREMARK   3   R VALUE            (WORKING SET) : 0.25848
CREMARK   3   R VALUE          (WORKING SET, NO CUTOFF) : 0.1368
cREMARK   3   R VALUE                    0.169    
c12345671231123456789 123456789 123456789 123456789 123456
cREMARK   3   PROGRAM     : REFMAC REFMAC 5.2.0003
cREMARK   3   PROGRAM     : REFMAC 5.2.0005
cREMARK   3   PROGRAM     : SHELXL-97
cREMARK   3   PROGRAM                    PROLSQ       
cREMARK   3   PROGRAM                    TNT     
cREMARK   3   PROGRAM     : CERIUS 2
cREMARK   3   PROGRAM     : CNS 1.1
cREMARK   3   PROGRAM     : X-PLOR 3.8
cREMARK   3   PROGRAM     : PROLSQ (CCP4)
CREMARK   3   PROGRAM                    EREF    

          ELSE IF(IR.EQ.3.AND.CH46(1:9).EQ.'  PROGRAM'.AND.
     *                                             IPR.EQ.0) THEN
            IF(CH46(17:19).EQ.'REF') THEN
              IREF = 1
              IPR  = 1
              PROGRAM  = ' REFMAC' 
            ELSE IF(CH46(17:19).EQ.'SHE') THEN
              ISHE = 1
              IPR  = 1
              PROGRAM  = ' SHELX' 
            ELSE IF(CH46(17:19).EQ.'CNS') THEN
              ICNS = 1
              IPR  = 1
              PROGRAM  = ' CNS' 
            ELSE IF(CH46(17:19).EQ.'CNX') THEN
              ICNX = 1
              IPR  = 1
              PROGRAM  = ' CNX' 
            ELSE IF(CH46(17:22).EQ.'PHENIX') THEN
              IPHX = 1
              IPR  = 1
              PROGRAM  = ' PHENIX' 
            ELSE IF(CH46(17:19).EQ.'X-P'.OR.
     *              CH46(17:19).EQ.'XPL'.OR.
     *              CH46(30:32).EQ.'X-P'.OR.
     *              CH46(30:32).EQ.'XPL') THEN
              IXPL = 1
              IPR  = 1
              PROGRAM  = ' X-PLOR' 
            ELSE IF(CH46(17:19).EQ.'PRO'.OR.
     *              CH46(30:32).EQ.'PRO') THEN
              IPRO = 1
              IPR  = 1
              PROGRAM  = ' PROLSQ' 
            ELSE IF(CH46(17:19).EQ.'TNT'.OR.
     *              CH46(30:32).EQ.'TNT') THEN
              ITNT = 1
              IPR  = 1
              PROGRAM  = ' TNT' 
            ELSE IF(CH46(17:20).EQ.'CCP4') THEN
              ICCP4 = 1
              IPR  = 1
              PROGRAM  = ' CCP4' 
            ELSE IF(CH46(17:20).EQ.'MAIN') THEN
              IMAIN = 1
              IPR  = 1
              PROGRAM  = ' MAIN' 
            ELSE IF(CH46(17:20).EQ.'REST') THEN
              IREST = 1
              IPR  = 1
              PROGRAM  = ' REST' 
            ELSE IF(CH46(17:19).EQ.'ARP') THEN
              IARP = 1
              IPR  = 1
              PROGRAM  = ' ARP' 
            ELSE IF(CH46(17:20).EQ.'BUST') THEN
              IBUST = 1
              IPR  = 1
              PROGRAM  = ' BUSTER' 
            ELSE IF(CH46(17:24).EQ.'AUTOBUST') THEN
              IBUST = 1
              IPR  = 1
              PROGRAM  = ' BUSTER' 
            ELSE IF(CH46(17:20).EQ.'NUCL') THEN
              INUC = 1
              IPR  = 1
              PROGRAM  = ' NUCLSQ'               
            ELSE IF(IPR.NE.1) THEN
              REM_CH46 = CH46 
              IPR  = 2
            ENDIF
          ELSE IF(IR.EQ.200.AND.CH46(1:8).EQ.'SOFTWARE'.AND.
     *                                             ISF.EQ.0) THEN

c12345671231123456789 123456789 123456789 123456789 123456
cREMARK 200 SOFTWARE USED: AUTORICKSHAW,SHELXD,MLPHARE,DM,

            SOFTWARE = CH46(15:34)
            IF(SOFTWARE(2:5).EQ.'AMOR') THEN
              IAMOR = 1
              ISF = 1
            ELSE IF(SOFTWARE(2:5).EQ.'MOLR') THEN
              IMOLR = 1
              ISF = 1
            ELSE IF(SOFTWARE(2:7).EQ.'PHASER') THEN
              IPHAS = 1
              ISF = 1
            ELSE IF(SOFTWARE(2:5).EQ.'EPMR') THEN
              IEPMR = 1
              ISF = 1
            ELSE IF(SOFTWARE(2:5).EQ.'BRUT') THEN
              IBRUT = 1
              ISF = 1
            ENDIF
            IF(IME.EQ.1.AND.ISF.EQ.0) THEN
              IF(SOFTWARE(2:4).EQ.'CNS'.OR.
     *           SOFTWARE(2:4).EQ.'CNX') THEN
                IMCNS = 1
                ISF = 1
              ELSE IF(SOFTWARE(2:4).EQ.'X-P'.OR.
     *                SOFTWARE(2:4).EQ.'XPL') THEN
                IMXPL = 1
                ISF = 1
              ELSE IF(SOFTWARE(2:4).EQ.'REF') THEN
                IMREF = 1
                ISF = 1
              ELSE IF(SOFTWARE(2:5).EQ.'NULL') THEN
                IMNULL = 1
                ISF    = 1
              ELSE IF(SOFTWARE(2:5).EQ.'CCP4') THEN
                IMCCP4 = 1
                ISF = 1
              ELSE
                WRITE(*,*) '===>',CODE_PDB,': MR: ',CH46(1:40)
                IF(IOUT.GT.0) THEN
                  WRITE(IOUT,*) '#===>',CODE_PDB,': MR: ',CH46(1:40)
                ENDIF
                IMOTH = 1
                ISF = 1
              ENDIF
            ENDIF
 
          ELSE IF(IR.EQ.200.AND.CH46(1:6).EQ.'METHOD'.AND.
     *                          CH46(41:46).EQ.'MOLECU'.AND.
     *                                             IME.EQ.0) THEN
c12345671231123456789 123456789 123456789 123456789 123456
cREMARK 200 METHOD USED TO DETERMINE THE STRUCTURE: MOLECULAR
            IME = 1
          ENDIF
        ENDIF
 500    CONTINUE 
      ENDDO
 400  CONTINUE
      IF(IPR.EQ.2) THEN
        NOTHER = NOTHER + 1
        WRITE(*,*) '==>',CODE_PDB,': Prog:',REM_CH46(1:40)
     *             ,' ! not be used'
        IF(IOUT.GT.0) THEN
          WRITE(IOUT,*,ERR=300) '#==>',CODE_PDB,': Prog:',REM_CH46(1:40)
     *             ,' ! not be used'
        ENDIF
      ELSE IF(IPR.EQ.1) THEN

        NREF  = NREF  + IREF
        NSHE  = NSHE  + ISHE
        NCNS  = NCNS  + ICNS
        NCNX  = NCNX  + ICNX
        NPHX  = NPHX  + IPHX
        NXPL  = NXPL  + IXPL
        NPRO  = NPRO  + IPRO
        NTNT  = NTNT  + ITNT
        NCCP4 = NCCP4 + ICCP4
        NMAIN = NMAIN + IMAIN
        NREST = NREST + IREST
        NNUC  = NNUC  + INUC
        NBUST = NBUST + IBUST
        NARP  = NARP + IARP

        IF(ISF.EQ.1) THEN
          NAMOR = NAMOR + IAMOR
          NMOLR = NMOLR + IMOLR
          NPHAS = NPHAS + IPHAS
          NEPMR = NEPMR + IEPMR
          NBRUT = NBRUT + IBRUT
          NMCNS  = NMCNS  + IMCNS 
          NMXPL  = NMXPL  + IMXPL
          NMREF  = NMREF  + IMREF
          NMNULL = NMNULL + IMNULL
          NMCCP4 = NMCCP4 + IMCCP4
          NMOTH  = NMOTH  + IMOTH
        ENDIF

        NPROG = NPROG + 1
        NPDB =  NPDB + 1
        WRITE(LINE,
     *  '(I8,2X,A4,2X,A9,'' GG'',2X,F4.2,4X,F6.3,1X,A8,'' /'',A)'
     *  ,ERR=300) 
     *   NPDB,CODE,DATE_PDB,RESOL,RFAC,PROGRAM,SOFTWARE
        CALL LENSTR_BL(LINE,LEN)
        WRITE(*,'(A)',ERR=300) LINE(1:LEN)
        IF(IOUT.GT.0) THEN
          WRITE(IOUT,'(A)',ERR=300) LINE(1:LEN)
        ENDIF
      ENDIF
C ---
 300  CONTINUE
      CLOSE(IN)
C ---
 200  CONTINUE
      ENDDO
      ENDDO
 100  CONTINUE
      ENDDO
      ENDDO
C --------------
      WRITE(*,*) 'N_pdb_code :',NPDB
      IF(NPROG.GT.0) THEN

        FREF  = FLOAT(NREF)/FLOAT(NPROG)
        FSHE  = FLOAT(NSHE)/FLOAT(NPROG)
        FCNS  = FLOAT(NCNS)/FLOAT(NPROG)
        FXPL  = FLOAT(NXPL)/FLOAT(NPROG)
        FPRO  = FLOAT(NPRO)/FLOAT(NPROG)
        FTNT  = FLOAT(NTNT)/FLOAT(NPROG)
        FCCP4 = FLOAT(NCCP4)/FLOAT(NPROG)
        FMAIN = FLOAT(NMAIN)/FLOAT(NPROG)
        FREST = FLOAT(NREST)/FLOAT(NPROG)
        FBUST = FLOAT(NBUST)/FLOAT(NPROG)
        FNUC  = FLOAT(NNUC)/FLOAT(NPROG)
        FCNX  = FLOAT(NCNX)/FLOAT(NPROG)
        FPHX  = FLOAT(NPHX)/FLOAT(NPROG)
        FARP  = FLOAT(NARP)/FLOAT(NPROG)

        WRITE(*,'(A)') '--------------'
        WRITE(*,'(A)') ' '
        WRITE(*,*) 'N_program  :',NPROG
        WRITE(*,'(A,I8,F6.3)') ' REFMAC  :',NREF,FREF
        WRITE(*,'(A,I8,F6.3)') ' CCP4    :',NCCP4,FCCP4
        WRITE(*,'(A,I8,F6.3)') ' CNS     :',NCNS,FCNS
        WRITE(*,'(A,I8,F6.3)') ' CNX     :',NCNX,FCNX
        WRITE(*,'(A,I8,F6.3)') ' PHENIX  :',NPHX,FPHX
        WRITE(*,'(A,I8,F6.3)') ' X-PLOR  :',NXPL,FXPL
        WRITE(*,'(A,I8,F6.3)') ' SHELX   :',NSHE,FSHE
        WRITE(*,'(A,I8,F6.3)') ' TNT     :',NTNT,FTNT
        WRITE(*,'(A,I8,F6.3)') ' PROLSQ  :',NPRO,FPRO
        WRITE(*,'(A,I8,F6.3)') ' NUCLSQ  :',NNUC,FNUC
        WRITE(*,'(A,I8,F6.3)') ' MAIN    :',NMAIN,FMAIN
        WRITE(*,'(A,I8,F6.3)') ' RESTRAIN:',NREST,FREST
        WRITE(*,'(A,I8,F6.3)') ' BUSTER  :',NBUST,FBUST
        WRITE(*,'(A,I8,F6.3)') ' ARP     :',NARP,FARP

        WRITE(*,'(A)') ' '
        WRITE(*,'(A,I8,A)') ' OTHERS :',NOTHER,'  ! not be used'

        IF(IOUT.GT.0) THEN

          WRITE(IOUT,'(A)') '#--------------'
          WRITE(IOUT,'(A)') '# '
          WRITE(IOUT,'(A,I8)')      '# N_program  :',NPROG
          WRITE(IOUT,'(A,I8,F6.3)') '# REFMAC  :',NREF,FREF
          WRITE(IOUT,'(A,I8,F6.3)') '# CCP4    :',NCCP4,FCCP4
          WRITE(IOUT,'(A,I8,F6.3)') '# CNS     :',NCNS,FCNS
          WRITE(IOUT,'(A,I8,F6.3)') '# CNX     :',NCNX,FCNX
          WRITE(IOUT,'(A,I8,F6.3)') '# PHENIX  :',NPHX,FPHX
          WRITE(IOUT,'(A,I8,F6.3)') '# X-PLOR  :',NXPL,FXPL
          WRITE(IOUT,'(A,I8,F6.3)') '# SHELX   :',NSHE,FSHE
          WRITE(IOUT,'(A,I8,F6.3)') '# TNT     :',NTNT,FTNT
          WRITE(IOUT,'(A,I8,F6.3)') '# PROLSQ  :',NPRO,FPRO
          WRITE(IOUT,'(A,I8,F6.3)') '# NUCLSQ  :',NNUC,FNUC
          WRITE(IOUT,'(A,I8,F6.3)') '# MAIN    :',NMAIN,FMAIN
          WRITE(IOUT,'(A,I8,F6.3)') '# RESTRAIN:',NREST,FREST
          WRITE(IOUT,'(A,I8,F6.3)') '# BUSTER  :',NBUST,FBUST
          WRITE(IOUT,'(A,I8,F6.3)') '# ARP     :',NARP,FARP

          WRITE(IOUT,'(A)') '# '
          WRITE(IOUT,'(A,I8,A)') '# OTHERS :',NOTHER,'  ! not be used'

        ENDIF

        N_MR  = NAMOR + NMOLR + NPHAS + NEPMR + NBRUT +
     *          NMCNS + NMXPL + NMREF + NMCCP4 + NMOTH 
        FN_MR = FLOAT(N_MR)/FLOAT(NPROG)

        IF(N_MR.GT.0) THEN
      
          FAMOR = FLOAT(NAMOR)/FLOAT(N_MR)
          FMOLR = FLOAT(NMOLR)/FLOAT(N_MR)
          FPHAS = FLOAT(NPHAS)/FLOAT(N_MR)
          FEPMR = FLOAT(NEPMR)/FLOAT(N_MR)
          FBRUT = FLOAT(NBRUT)/FLOAT(N_MR)

          FMCNS  = FLOAT(NMCNS)/FLOAT(N_MR)
          FMXPL  = FLOAT(NMXPL)/FLOAT(N_MR) 
          FMREF  = FLOAT(NMREF)/FLOAT(N_MR)  
          FMNULL = FLOAT(NMNULL)/FLOAT(N_MR)  
          FMCCP4 = FLOAT(NMCCP4)/FLOAT(N_MR) 
          FMOTH  = FLOAT(NMOTH)/FLOAT(N_MR) 

          WRITE(*,'(A)') '--------------'
          WRITE(*,'(A)') ' '
          WRITE(*,'(A,I8,F6.3)') ' N_mr    :',N_MR,FN_MR
          WRITE(*,'(A)') ' '
          WRITE(*,'(A,I8,F6.3)') ' AMORE   :',NAMOR,FAMOR
          WRITE(*,'(A,I8,F6.3)') ' MOLREP  :',NMOLR,FMOLR
          WRITE(*,'(A,I8,F6.3)') ' PHASER  :',NPHAS,FPHAS
          WRITE(*,'(A,I8,F6.3)') ' EPMR    :',NEPMR,FEPMR
          WRITE(*,'(A,I8,F6.3)') ' CNS     :',NMCNS,FMCNS
          WRITE(*,'(A,I8,F6.3)') ' X-PLOR  :',NMXPL,FMXPL
          WRITE(*,'(A,I8,F6.3)') ' CCP4    :',NMCCP4,FMCCP4
          WRITE(*,'(A,I8,F6.3)') ' BRUT    :',NBRUT,FBRUT
          WRITE(*,'(A,I8,F6.3)') ' REFMAC  :',NMREF,FMREF
          WRITE(*,'(A,I8,F6.3)') ' NULL    :',NMNULL,FMNULL
          WRITE(*,'(A,I8,F6.3)') ' OTHERS  :',NMOTH,FMOTH

          IF(IOUT.GT.0) THEN

            WRITE(IOUT,'(A)') '#--------------'
            WRITE(IOUT,'(A)') '# '
            WRITE(IOUT,'(A,I8,F6.3)') '# N_mr    :',N_MR,FN_MR
            WRITE(IOUT,'(A)') '# '
            WRITE(IOUT,'(A,I8,F6.3)') '# AMORE   :',NAMOR,FAMOR
            WRITE(IOUT,'(A,I8,F6.3)') '# MOLREP  :',NMOLR,FMOLR
            WRITE(IOUT,'(A,I8,F6.3)') '# PHASER  :',NPHAS,FPHAS
            WRITE(IOUT,'(A,I8,F6.3)') '# EPMR    :',NEPMR,FEPMR
            WRITE(IOUT,'(A,I8,F6.3)') '# CNS     :',NMCNS,FMCNS
            WRITE(IOUT,'(A,I8,F6.3)') '# X-PLOR  :',NMXPL,FMXPL
            WRITE(IOUT,'(A,I8,F6.3)') '# CCP4    :',NMCCP4,FMCCP4
            WRITE(IOUT,'(A,I8,F6.3)') '# BRUT    :',NBRUT,FBRUT
            WRITE(IOUT,'(A,I8,F6.3)') '# REFMAC  :',NMREF,FMREF
            WRITE(IOIT,'(A,I8,F6.3)') '# NULL    :',NMNULL,FMNULL
            WRITE(IOUT,'(A,I8,F6.3)') '# OTHERS  :',NMOTH,FMOTH

          ENDIF

        ENDIF

      ENDIF
C -----------------
      IF(IOUT.GT.0) THEN
        END FILE IOUT
        CLOSE(IOUT)
      ENDIF
      CLOSE(IN)
      stop
9110  CONTINUE
      write(*,*) ' error out'
      stop
      END

      SUBROUTINE LENSTR_BL(STRING,NL)
C -P- LENSTR_BL - gives length of string.
C -S-
      INTEGER*4 NL
      CHARACTER STRING*(*)
C ******
C -------------------------------------
      N  = LEN(STRING)
      NL = N
      DO 10 I=N,1,-1
        IF(STRING(NL:NL).NE.' ') GO TO 20      
        NL = NL-1
   10 CONTINUE
   20 RETURN
      END

      SUBROUTINE DISPL_BL(LINE)
C
C -P- DISPL - write message to terminal and stop cursor at the end of line.
C
C             NOTE : for Linux ( CLN ) cursor will not stop
C                    at the end of line.
C
      CHARACTER LINE*(*)
      INTEGER   NL
      CALL LENSTR_BL(LINE,NL)
      IF(NL.GT.79) NL=79
CVX   WRITE(*,'(''$'',A  )') LINE(1:NL)
CDP   WRITE(*,'('' '',A,$)') LINE(1:NL)
CMS   WRITE(*,'('' '',A,\)') LINE(1:NL)
      WRITE(*,'('' '',A,$)') LINE(1:NL)
      RETURN
      END
